*** a/doc/src/sgml/pgupgrade.sgml
--- b/doc/src/sgml/pgupgrade.sgml
***************
*** 154,160 **** gmake prefix=/usr/local/pgsql.new install
   
  <programlisting>
  pg_ctl --pgdata /opt/PostgreSQL/8.4 stop
! pg_ctl --pgdata /opt/PostgreSQL/8.5 stop
  </programlisting>
   
       or on Windows
--- 154,160 ----
   
  <programlisting>
  pg_ctl --pgdata /opt/PostgreSQL/8.4 stop
! pg_ctl --pgdata /opt/PostgreSQL/9.0 stop
  </programlisting>
   
       or on Windows
***************
*** 175,181 **** NET STOP pgsql-8.3  (different service name)
--- 175,183 ----
     <listitem>
      <para>
       Run pg_upgrade
+     </para>
   
+     <para>
       Always run the pg_upgrade binary in the new server, not the old one.
       pg_upgrade requires the specification of the old and new cluster's
       PGDATA and executable (/bin) directories. You can also specify separate
***************
*** 192,198 **** NET STOP pgsql-8.3  (different service name)
   
  <programlisting>
  RUNAS /USER:postgres "CMD.EXE"
! SET PATH=%PATH%;C:\Program Files\PostgreSQL\8.5\bin;
  </programlisting>
   
       and then run pg_upgrade with quoted directories, e.g.:
--- 194,200 ----
   
  <programlisting>
  RUNAS /USER:postgres "CMD.EXE"
! SET PATH=%PATH%;C:\Program Files\PostgreSQL\9.0\bin;
  </programlisting>
   
       and then run pg_upgrade with quoted directories, e.g.:
***************
*** 200,208 **** SET PATH=%PATH%;C:\Program Files\PostgreSQL\8.5\bin;
  <programlisting>
  pg_upgrade.exe
          --old-datadir "C:/Program Files/PostgreSQL/8.4/data"
!         --new-datadir "C:/Program Files/PostgreSQL/8.5/data"
          --old-bindir "C:/Program Files/PostgreSQL/8.4/bin"
!         --new-bindir "C:/Program Files/PostgreSQL/8.5/bin"
  </programlisting>
   
       Once started, pg_upgrade will verify the two clusters are compatible
--- 202,210 ----
  <programlisting>
  pg_upgrade.exe
          --old-datadir "C:/Program Files/PostgreSQL/8.4/data"
!         --new-datadir "C:/Program Files/PostgreSQL/9.0/data"
          --old-bindir "C:/Program Files/PostgreSQL/8.4/bin"
!         --new-bindir "C:/Program Files/PostgreSQL/9.0/bin"
  </programlisting>
   
       Once started, pg_upgrade will verify the two clusters are compatible
